camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Claus Ibsen <claus.ib...@gmail.com>
Subject Re: Maven 2.2 compliant jdk activation in pom.xml
Date Mon, 14 Dec 2009 09:00:03 GMT
On Mon, Dec 14, 2009 at 9:56 AM, Willem Jiang <willem.jiang@gmail.com> wrote:
>
> Hi Claus
>
> I just tested your change on maven 2.0.9, it can't take <jdk>[1.5,)</jdk>.
> BTW, we don't need to include jaxb jars for JDK 1.6.0, as it is part of JVM.
>
> Maybe we need to revert or add a profile which support maven 2.0.9 syntax.
>

Yeah it didn't work. Damn maven. Why the **** does maven 2.2 not
support the old syntax as well.
I will revert the commit.



> Willem
>
> Claus Ibsen wrote:
>>
>> Hi
>>
>> I have just committed the camel-core/pom.xml to use a new syntax for
>> jdk 1.5 detection in the activation.
>> This change should be compliant with maven 2.2 syntax which is using this
>> now.
>>
>> As we are still using maven 2.0.9 and maybe others are on maven 2.1.x
>> then keep an eye on this to see if the commit works as expected.
>>
>>      <activation>
>>        <jdk>[1.5,)</jdk>
>>      </activation>
>>
>> It used to be just like
>>    <jdk>1.5</jdk>
>>
>>
>>
>
>



-- 
Claus Ibsen
Apache Camel Committer

Author of Camel in Action: http://www.manning.com/ibsen/
Open Source Integration: http://fusesource.com
Blog: http://davsclaus.blogspot.com/
Twitter: http://twitter.com/davsclaus

Mime
View raw message